import * as React from 'react';
import {observer} from 'mobx-react-lite';
import {DashboardComponentPlacementModel} from "../../stores/DashboardComponentPlacementStore";
import {DashboardComponent} from "../dashboard_components/renderers/DashboardComponent";
import {DashboardComponentModel, DashboardComponentStore} from "../../stores/DashboardComponentStore";

export type DashboardGridItemProps = {
    placement: DashboardComponentPlacementModel,
    editMode?: boolean
}

export const DashboardGridItem: React.FunctionComponent<DashboardGridItemProps> = observer(({placement, editMode}) => {
    const component = DashboardComponentStore.get(placement.viewModel.dashboard_component_id) as DashboardComponentModel
    if (!component) {
        return null;
    }
    return (
        <DashboardComponent component={component}/>
    )
});
