import * as React from "react";
import {DashboardModel} from "../../../../stores/DashboardStore";
import {ButtonField} from "@rx-suite/ui";
import {Add} from "@material-ui/icons";
import {t, Trans} from "@lingui/macro";
import {AddComponentTable} from "../../AddComponentTable";

export type DashboardComponentsTabProps = {
    dashboard: DashboardModel,
    handleComponentCreate: () => void;
    readOnly: boolean
}
export const DashboardComponentsTab: React.FunctionComponent<DashboardComponentsTabProps> = ({
                                                                                                 dashboard,
                                                                                                 readOnly,
                                                                                                 handleComponentCreate
                                                                                             }) => {

    if (readOnly) {
        return <React.Fragment>
            <Trans>Components cannot be added to this dashboard while in read only view.</Trans>
        </React.Fragment>
    }

    return (
        <React.Fragment>
            <ButtonField
                text={t`Make New Component`}
                startIcon={<Add/>}
                onClick={handleComponentCreate}
            />
            <AddComponentTable dashboard={dashboard} openForm={handleComponentCreate}/>
        </React.Fragment>
    )
};
